{
  "presets": [
    ["@babel/env", {
      "targets": {
        "node": "current"
      }
    }],
    "@babel/react",
    "@babel/typescript"
  ],
  "plugins": [
    "@babel/transform-react-jsx",
    "@babel/proposal-class-properties",
    "@babel/proposal-object-rest-spread",
    "@babel/proposal-export-default-from",
    ["babel-plugin-react-docgen",
      { "DOC_GEN_COLLECTION_NAME": "STORYBOOK_REACT_CLASSES" }
    ],
    ["@babel/transform-runtime", {
      "regenerator": true
    }]
  ]
}